@charset "big5";

body {
    background-color: var(--bs-primary-bg-subtle);
    font-family: '標楷體';
}

h1, h2, h3 {
    color: var(--bs-orange);
    font-weight: bold;
}


.table-container {
    margin-top: 36px;
}

.table-func-container {
    display: flex;
    flex-direction: row;
    gap: 8px;
    align-items: center;
}

.table {
    margin-top: 16px;
    box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.2), 0px 1px 5px rgba(151, 153, 158, 0.12);
    border-radius: 12px;
}

    .table th:first-child {
        border-top-left-radius: 12px;
    }

    .table th:last-child {
        border-top-right-radius: 12px;
    }

    .table th {
        background-color: #ededee;
        font-weight: 400;
        text-align: center;
    }

    .table tbody {
        border-bottom: 1px solid #e0e1e1;
    }

    .table td {
        vertical-align: middle;
        border-bottom: none;
        text-align: center;
    }



    .table .aux-empty,
    .table .pagesize-container {
        width: 148px;
    }

    .table .pagination-button-group,
    .table .pagesize-container {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 10px;
        white-space: nowrap;
        color: #9ea0a2;
    }

        .table .pagination-button-group .btn-outline-primary {
            color: #9ea0a2;
            border: 2px solid #9ea0a2;
        }

    .table label + .form-select {
        height: 32px;
        margin-top: 0;
    }

    .table tfoot td:first-child {
        border-bottom-left-radius: 12px;
    }

    .table tfoot td:last-child {
        border-bottom-right-radius: 12px;
    }

.modal-backdrop {
    --bs-backdrop-opacity: 0.3;
}

.lab_star {
    color: var( --bs-danger);
}

.Color_Red{
    color:red !important;
}
.Color_Green {
    color: green !important;
}
.Color_Purple {
    color: purple !important;
}
.Color_Orange {
    color: orange !important;
}
.bgColor_Yellow {
    background-color: yellow !important;
}
.bgColor_Pink {
    background-color: pink !important;
}
.bgColor_Gold {
    background-color: gold !important;
}
/*======================================================手機板======================================================*/
@media(max-width:992px) {
    /*表單RWD*/
    .table_RWDStyle {
        width: 100%;
    }

        .table_RWDStyle tr {
            display: block;
            border: 2px solid #CCC;
            /*margin: 5px;*/
            /*padding: 5px;*/
            -webkit-border-radius: 5px;
            -moz-border-radius: 5px;
            border-radius: 5px;
        }

            .table_RWDStyle tr.Bgn {
                display: none;
            }

            .table_RWDStyle tr td {
                display: block;
                border: unset;
                padding: 3px;
                text-align: left;
            }

                .table_RWDStyle tr td .lab_AreaTitleCell {
                    display: block;
                }

                .table_RWDStyle tr td textarea.form-control {
                    height: 80px;
                    width: 100%;
                    display: initial;
                }

                .table_RWDStyle tr td .form-control {
                    width: auto;
                    display: initial;
                }

                .table_RWDStyle tr td .lab_MobelTitle {
                    font-weight: 600;
                }

                    .table_RWDStyle tr td .lab_MobelTitle:after {
                        content: "：";
                    }

    .table .pagination-container {
        justify-content: space-between;
    }
}

/*======================================================桌機板======================================================*/
@media(min-width:992px) {
    /*表單RWD*/
    .lab_MobelTitle {
        display: none;
    }

    .table_RWDStyle {
        width: 100%;
    }

        .table_RWDStyle tr:hover {
            background-color: #FBFBFA;
        }

        .table_RWDStyle tr td {
            padding: 10px 5px;
            background-color: unset !important;
        }

            .table_RWDStyle tr td textarea {
                height: 60px;
            }

    .table .pagination-container {
        display: flex;
        justify-content: space-between;
    }
}
